> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv2mmr 



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/mmr/{affinity}/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v2/mmr/{affinity}/{name}/{tag}:
    get:
      tags:
        - valorant
      operationId: get_mmr_v2_by_name
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: name
          in: path
          description: Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Riot ID tag
          required: true
          schema:
            type: string
      responses:
        '200':
          description: MMR data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MMRV2Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    MMRV2Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/MMRV2Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    MMRV2Data:
      type: object
      required:
        - name
        - tag
        - puuid
        - current_data
        - highest_rank
        - by_season
      properties:
        by_season: {}
        current_data:
          $ref: '#/components/schemas/MMRV2CurrentData'
        highest_rank:
          $ref: '#/components/schemas/MMRV2HighestRank'
        name:
          type: string
        puuid:
          type: string
        tag:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    MMRV2CurrentData:
      type: object
      required:
        - currenttier
        - currenttierpatched
        - images
        - ranking_in_tier
        - mmr_change_to_last_game
        - elo
        - games_needed_for_rating
        - old
      properties:
        currenttier:
          type: integer
          format: int32
        currenttierpatched:
          type: string
        elo:
          type: integer
          format: int32
        games_needed_for_rating:
          type: integer
          format: int32
        images:
          $ref: '#/components/schemas/MMRDataImages'
        mmr_change_to_last_game:
          type: integer
          format: int32
        old:
          type: boolean
        ranking_in_tier:
          type: integer
          format: int32
    MMRV2HighestRank:
      type: object
      required:
        - old
        - tier
        - patched_tier
        - season
      properties:
        old:
          type: boolean
        patched_tier:
          type: string
        season:
          type: string
        tier:
          type: integer
          format: int32
    MMRDataImages:
      type: object
      required:
        - small
        - large
        - triangle_down
        - triangle_up
      properties:
        large:
          type: string
        small:
          type: string
        triangle_down:
          type: string
        triangle_up:
          type: string

````